Bug 1989587 - Authentication operator fails to become available during upgrade to 4.8.2
Summary: Authentication operator fails to become available during upgrade to 4.8.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.z
Assignee: Sergiusz Urbaniak
QA Contact: liyao
URL:
Whiteboard:
Depends On: 1988576
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-03 14:01 UTC by Sergiusz Urbaniak
Modified: 2021-08-16 18:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1988576
Environment:
Last Closed: 2021-08-16 18:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 471 0 None None None 2021-08-05 11:36:52 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:22 UTC

Comment 3 liyao 2021-08-13 10:22:30 UTC
Tested by upgrade cluster from 4.7.21 to 4.8.0-0.nightly-2021-08-09-135211

1. install 4.7.21 cluster on AWS IPI
$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.21    True        False         4m58s   Cluster version is 4.7.21

2. upgrade 4.7.21 cluster to 4.8.0-0.nightly-2021-08-09-135211
$ oc adm upgrade --to-image=registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-08-09-135211 --force=true --allow-explicit-upgrade=true

3. check whether upgrade can be successful without 'clusteroperator/authentication is not available', actual result is as expected
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-08-09-135211   True        False         10h     Cluster version is 4.8.0-0.nightly-2021-08-09-135211

Comment 5 errata-xmlrpc 2021-08-16 18:32:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.